%global _hardened_build 1
%global minorversion 1.7

Name:		xfce4-timer-plugin
Version:	1.7.1
Release:	1
Summary:	Timer plugin for the Xfce panel
License:	GPLv2+
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-timer-plugin/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gcc-c++
BuildRequires:	xfce4-panel-devel
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxml2-devel
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	perl(XML::Parser)

Requires:	xfce4-panel

%description
With this plugin you can add timers (alarm or countdown) to your Xfce panel.
You can display a warning window and/or run a custom command when alarm rings, repeat alarms etc.
The timer progress is shown as a progress bar in the Xfce panel, lasting time displayed on tooltip.

%prep
%autosetup

%build
%configure --disable-static

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%license COPYING
%{_libdir}/xfce4/panel/plugins/libxfcetimer*
%{_datadir}/xfce4/panel/plugins/xfce4-timer-plugin.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-timer-plugin.*g

%changelog
* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.7.1-1
- Update to 1.7.1

* Fri Jul 17 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 1.7.0-1
- Init package
